
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JDK,JRE,JVM区别与联系-理解与概括 / 憋错料</title>

    <meta name="description" content="JDK,JRE,JVM区别与联系-理解与概括 我们利用JDK(调用JAVA API)开发了属于我们自己的JAVA程序后,通过JDK中的编译程序(javac)将我们的文本java文件编译成JAVA字节码,在JRE上运行这些JAVA字节码,JVM解析这些字节码,映射到CPU指令集或OS的系统调用. JDK : Java Development ToolKit(Java开发工具包).JDK是整个JAVA的核心,包括了Java运行环境(Java Runtime Envirnment),一堆Java工具(javac/java/jdb等)和Java基础">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">JDK,JRE,JVM区别与联系-理解与概括</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>我们利用JDK（调用JAVA API）开发了属于我们自己的JAVA程序后，通过JDK中的编译程序（javac）将我们的文本java文件编译成JAVA字节码，在JRE上运行这些JAVA字节码，JVM解析这些字节码，映射到CPU指令集或OS的系统调用。</strong></p>
<p>JDK : Java Development ToolKit(Java开发工具包)。JDK是整个JAVA的核心，包括了Java运行环境（Java Runtime Envirnment），一堆Java工具（javac/java/jdb等）和Java基础的类库（即Java API&nbsp;包括rt.jar）。</p>
<p>最主流的JDK是Sun公司发布的JDK，除了Sun之外，还有很多公司和组织都开发了属于自己的JDK，例如国外IBM公司开发了属于自己的JDK，国内淘宝也开发了属于自己的JDK，各个组织开发自己的JDK都是为了在某些方面得到一些提高，以适应自己的需求，比如IBM的JDK据说运行效率就比SUN的JDK高的多。但不管怎么说，我们还是需要先把基础的Sun JDK掌握好。</p>
<p>JDK有以下三种版本：</p>
<p>J2SE，standard edition，标准版，是我们通常用的一个版本；J2EE，enterpsise edtion，企业版，使用这种JDK开发J2EE应用程序；J2ME，micro edtion，主要用于移动设备、嵌入式设备上的java应用程序</p>
<p>我们常常用JDK来代指Java&nbsp;API，Java&nbsp;API是Java的应用程序接口，其实就是前辈们写好的一些java Class，包括一些重要的语言结构以及基本图形，网络和文件I/O等等&nbsp;，我们在自己的程序中，调用前辈们写好的这些Class，来作为我们自己开发的一个基础。当然，现在已经有越来越多的性能更好或者功能更强大的第三方类库供我们使用。</p>
<p>JRE:Java&nbsp;&nbsp;Runtime&nbsp;&nbsp;Enviromental(java运行时环境)。也就是我们说的JAVA平台，所有的Java程序都要在JRE下才能运行。包括JVM和JAVA核心类库和支持文件。与JDK相比，它不包含开发工具&mdash;&mdash;编译器、调试器和其它工具。</p>
<p>JVM：Java Virtual Mechinal(JAVA虚拟机)。JVM是JRE的一部分，它是一个虚构出来的计算机，是通过在实际的计算机上仿真模拟各种计算机功能来实现的。JVM有自己完善的硬件架构，如处理器、堆栈、寄存器等，还具有相应的指令系统。JVM&nbsp;的主要工作是解释自己的指令集（即字节码）并映射到本地的&nbsp;CPU&nbsp;的指令集或&nbsp;OS&nbsp;的系统调用。Java语言是跨平台运行的，其实就是不同的操作系统，使用不同的JVM映射规则，让其与操作系统无关，完成了跨平台性。JVM&nbsp;对上层的&nbsp;Java&nbsp;源文件是不关心的，它关注的只是由源文件生成的类文件（&nbsp;class file）。类文件的组成包括&nbsp;JVM&nbsp;指令集，符号表以及一些补助信息。</p>
<p>下图很好的表面了JDK,JRE,JVM三者间的关系：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzQyNDM3My8yMDEzMDgvMTIwMTA4MzktZjliN2ZlZjRlM2Y4NDEwMWJlZGQ3YzMxMTE5NGNiZTAuZ2lm.jpg" /></p>
<p>内容来源于网络.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 16:33:56 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>JDK,JRE,JVM区别与联系-理解与概括的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x8VjQ0.html" rel="bookmark">JDK&comma;JRE&comma;JVM区别与联系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDK : Java Development ToolKit(Java开发工具包).JDK是整个JAVA的核心,包括了Java运行环境(Java Runtime Envirnment),一堆Java工具(javac/java/jdb等)和Java基础的类库(即Java API 包括rt.jar). JDK有以下三种版本: J2SE,standard edition,标准版,是我们通常用的一个版本 J2EE,enterpsise edtion,企业版,使用这种JDK开发J2EE应用程序 J2ME,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/382KglM.html" rel="bookmark">JDK&comma;JRE&comma;JVM区别与联系（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDK : JavaDevelopment ToolKit(Java开发工具包).JDK是整个JAVA的核心,包括了Java运行环境(Java Runtime Envirnment),一堆Java工具(javac/java/jdb等)和Java基础的类库(即JavaAPI 包括rt.jar).最主流的JDK是Sun公司发布的JDK,除了Sun之外,还有很多公司和组织都开发了属于自己的JDK,例如国外IBM公司开发了属于自己的JDK,国内淘宝也开发了属于自己的JDK,各个组织开发自己的JDK都是为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pPAD84.html" rel="bookmark">JDK&comma;JRE&comma;JVM区别与联系&lpar;ZZ&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.cnblogs.com/hencehong/p/3252166.html 我们开发的实际情况是:我们利用JDK(调用JAVA API)开发了属于我们自己的JAVA程序后,通过JDK中的编译程序(javac)将我们的文本java文件编译成JAVA字节码,在JRE上运行这些JAVA字节码,JVM解析这些字节码,映射到CPU指令集或OS的系统调用. JDK : Java Development ToolKit(Java开发工具包).JDK是整个JAVA的核心,包括了Java运行环			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Ok5r93.html" rel="bookmark">JDK JRE JVM 区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDK : Java Development ToolKit(Java开发工具包).JDK是整个JAVA的核心,包括了Java运行环境(Java Runtime Envirnment),一堆Java工具(javac/java/jdb等)和Java基础的类库(即Java API 包括rt.jar). 最主流的JDK是Sun公司发布的JDK,除了Sun之外,还有很多公司和组织都开发了属于自己的JDK,例如国外IBM公司开发了属于自己的JDK,国内淘宝也开发了属于自己的JDK,各个组织开发自己的JDK			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a77Gg4.html" rel="bookmark">JDK&comma;JRE&comma;JVM的区别与联系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多朋友跟我一样,已经使用Java开发很久了,可是对JDK,JRE,JVM这三者的区别与联系一直都是模模糊糊的,下面我们来总结一下. JDK Java Development ToolKit(Java开发工具包).JDK是整个Java的核心,包括了Java运行环境(Java Runtime Environment),一堆Java工具(javac/java/jdb)和Java基础类库(即Java API包括rt.jar).最流行的JDK是sun公司发布的JDK,除了sun之外,还有好多公司和组织都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kXDJP3.html" rel="bookmark">4&sol;2&sol;2017 Sun&period;&lpar;Week1&comma;01Day&rpar;  dos命令，jdk&amp;amp&semi;jre&amp;amp&semi;jvm的关系，classpath和path区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.学习方法 1.独立思考 2.独立整理.总结知识点 3.整理Exception报错文档 4.莫钻牛角尖 5.敲代码,敲,猛敲,死里敲 一句话:&quot;代码虐我千百遍,我视代码如初恋!!!&quot; 二.常用dos命令 1.start:重新打开一个dos命令窗口 2.exit:退出dos命令窗口 3.cd:显示或进入指定目录 4.cls:清屏   5.dir:遍历并罗列当前目录下的文件和文件夹 6.help:罗列所有的dos命令 (注:①↑或↓:切换历史命令 ②. :当前目录 ③.. :上层目录 ④			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pRkb80.html" rel="bookmark">JDK&comma;JRE&comma;JVM的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在lua,cocos-2d的开发中,需要用到java的东东,这些东东之间的联系往往不是很清楚明了,于是整理了下... 下图很好的表面了JDK,JRE,JVM三者间的关系: JDK Java Development Kit(JDK) 是 Java 语言的软件开发工具包(SDK).作为Java语言的SDK,普通用户并不需要安装JDK来运行Java程序,而只需要安装JRE(Java Runtime Environment).而程序开发者必须安装JDK来编译.调试程序. SE(J2SE),standar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rxpQXM.html" rel="bookmark">你知道JDK&comma;JRE&comma;JVM的区别吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JVM(Java Virtual Machine Java虚拟机) 可以理解为是一个虚拟出来的计算机,具备着计算机的基本运算方式, 它主要负责将java程序生成的字节码文件解释成具体系统平台上的机器指令. 让具体平台如window运行这些Java程序. JRE(Java Runtime Environment Java运行环境) 包括Java虚拟机(JVM Java Virtual Machine)和Java程序所需的核心类库等, 如果想要运行一个开发好的Java程序,计算机中只需要安装JRE即			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NNdJV4.html" rel="bookmark">JRE、JDK、JVM区别和联系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先说Java编程语言,它是一门高级编程语言,具体由谁何时创建的,读者可以到网上查找相关资料,这里就不再赘述.那么,谈到Java就不得不谈谈JVM.JRE和JDK三者间的区别和联系. JVM:英文全称Java Virtual Machine,字面意思&quot;Java虚拟机&quot;,简单来说就是一个软件.一个什么软件呢?一个可以运行Java的软件.我们在将.java编译后,会生成相应的.class文件,那么,问题来了,什么问题呢?就是这个.class文件怎么运行?运行在哪里?答案就是JVM.JVM就			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eQdw0.html" rel="bookmark" class="title">磁盘管理（笔记）</a>
					<div>
						磁盘管理 文件系统管理重新创建文件系统会损坏原有文件 mkfs: make file system    -t FSTYPE     mkfs -t ext2 = mkfs.ext2mkfs -t e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNnWz3.html" rel="bookmark" class="title">iOS中创建数组的简易方法与手势的使用</a>
					<div>
						其实做外包也是挺不错,虽然累点,但是一天天的知识的扩展不少,下面是今天的收获 ①初始化数组一字典的方法 @[] 初始化不可变数组 @{} 初始化不可变字典 ②手势的使用 iOS中处理手势之前是用四个方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgJPw0.html" rel="bookmark" class="title">程序员必须知道的10大基础实用算法及其讲解</a>
					<div>
						程序员必须知道的10大基础实用算法及其讲解 原文出处: cricode 算法一:快速排序算法 快速排序是由东尼·霍尔所发展的一种排序算法.在平均状况下,排序 n 个项目要Ο(n log n)次比较.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkGAYM.html" rel="bookmark" class="title">Linux虚拟机添加新硬盘的全程图解</a>
					<div>
						查看网的文章,我将在vm虚拟机LinuxRedhat中添加一个新的硬盘, 过程大致如下: 1.选择&quot;VM&quot;----&quot;setting&quot;并打开,将光标定位在hard ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mBZBM.html" rel="bookmark" class="title">子选择器和后代选择符的区别</a>
					<div>
						直接上代码和效果图: &lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41g9ro0.html" rel="bookmark" class="title">swift 字符转为类，代码创建控件</a>
					<div>
						在使用类之前要先获得 命名空间 通过json来获取 字符型的类名 然后创建类对象,这时候就要用到字符转类 // 从info字典中获取到 命名空间 转为字符型 let NS = NSBundle.mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388xQZ3.html" rel="bookmark" class="title">AndroidStudio快速入门四：打造你的开发工具，settings必备</a>
					<div>
						http://blog.csdn.net/jf_1994/article/details/50085825 前言:这里是使用AS的基本设置,适合新入手的朋友阅读,将这里介绍的设置完基本使用无忧啦. 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enPEp3.html" rel="bookmark" class="title">requirejs的使用</a>
					<div>
						requirejs是amd规范的推广,学习有助了解amd和cmd以及commonjs之间的联系和区别. 一.require可以避免js的阻塞,导致页面其他解构刷不出来,或者刷的很慢. 其中典型的例子, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzXNK0.html" rel="bookmark" class="title">PAT 乙级 1038 统计同成绩的学生C&plus;&plus;版</a>
					<div>
						1038. 统计同成绩学生(20) 时间限制 250 ms 内存限制 65536 kB 代码长度限制 8000 B 判题程序 Standard 作者 CHEN, Yue 本题要求读入N名学生的成绩,将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzAZLq4.html" rel="bookmark" class="title">jquery版本清单</a>
					<div>
						PM&gt; Install-Package jQuery -Version 1.11.2 jQuery 2.1.3 (latest stable) 315444 Wednesday, Decembe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmoBA13.html" rel="bookmark" class="title">HDU 4961 Boring Sum 构造题</a>
					<div>
						用一个数组c, c[i]表示i这个数出现的最近数字是几. 那么当加入一个6,则 c[1] = c[2] = c[3] = c[6] = 6; ==最近怎么都要开挂啊.. #include &lt;cs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkRoBM.html" rel="bookmark" class="title">2014年出国留学去哪儿</a>
					<div>
						[导读]美国.英国.澳洲.加拿大.韩国.日本.新加坡等留学学校林林总总,可以选择的国家百花缭绕,夺人眼球,在无数国家中,谁才是我们的最终选择呢?预科专家就为大家带来美国.英        &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAVjd4.html" rel="bookmark" class="title">用自定义变量作为动作方法参数   URL路由 精通ASP-NET-MVC-5-弗瑞曼</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZVgOM.html" rel="bookmark" class="title">项目开发中的心得体会</a>
					<div>
						1.在没有获取完整的信息之前,推迟决策,直到必须做出决策的时候.2.任何事情都要建立在有效信息的基础上,当需求变更时,要当机立断.3.要敢于提出自己的质疑.4.要时常留意可以改善的问题,善于发现现有阶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J98Wn3.html" rel="bookmark" class="title">Oracle数据库学习笔记1&mdash;SQL</a>
					<div>
						什么是SQL? SQL是结构化查询语言(英语:Structural Query Language,缩写:SQL),是一种特殊目的之编程语言,用于数据库中的标准数据查询语言. SQL 是一种为数不多的声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmNQaB0.html" rel="bookmark" class="title">mysql 一个典型的数据库建表建用户过程</a>
					<div>
						cmd 命令不接 &quot;;&quot; mysql 命令后接 &quot;;&quot; 1.以管理员身份登录mysql mysql -u root –p 2.选择mysql数据库 use my ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobZ1x4.html" rel="bookmark" class="title">PAT1028&mdash;&mdash; 人口普查</a>
					<div>
						某城镇进行人口普查,得到了全体居民的生日.现请你写个程序,找出镇上最年长和最年轻的人. 这里确保每个输入的日期都是合法的,但不一定是合理的——假设已知镇上没有超过200岁的老人,而今天是2014年9月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6X6VJ3.html" rel="bookmark" class="title">下载远程linux文件</a>
					<div>
						package xfire; import java.io.FileOutputStream; import java.io.IOException; import org.apache.common ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9JoJ0.html" rel="bookmark" class="title">HTML5常用标签总结（入门）</a>
					<div>
						一.常用的标签 h1~h6 表示是一个标题 p 段落标签 hr/ 水平线标签 br/ 换行标签 sub 下标 sup 上标 pre 原样标签: 原样标签会保留空格和换行符. ol li 有序的列表标签 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eaAav0.html" rel="bookmark" class="title">JAVA的三个部分知识点 其中C&num;语言便是类似于J2SE</a>
					<div>
						不过等我一有时间,就会与各位小伙伴分享我的心得的.先说说最近遇到的各种苦逼的内存优化,做了一些小总结. 笔者对于C#开发虽然有一定的了解.可是却没有更深入的了解C#相关的开发知识点.所以三年过来了.我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
